package com.ruoyi.dj.websocket.handler;

/**
 * @auther 周志雄
 * @date 2024/7/8 18:24
 */

import com.ruoyi.dj.websocket.core.MessageHandler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.ruoyi.dj.websocket.config.CustomWebSocketHandler;

/**
 * @auther 周志雄
 * @date 2024/7/8 18:24
 */
@Component
public class OSD2Handler implements MessageHandler {
    @Autowired
    private CustomWebSocketHandler webSocketHandler;

    @Override
    public void handleMessage(String message) {
        webSocketHandler.sendMessageToAll(message);
    }

    @Override
    public String getType() {
        return "osd2";
    }
}
